package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 实验室和准入模板关系对象 lab_security_subjectmaterial
 *
 * @author zd
 * @date 2022-02-08
 */
@ApiModel("实验室和准入模板关系")
public class LabSecuritySubjectmaterial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 实验室id */
    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室id")
    private Long subjectId;
    /** 模板配置表id */
    @Excel(name = "模板配置表id")
    @ApiModelProperty(value = "模板配置表id")
    private Long materialId;
    /** 模板类型  2教职工 3学生 */
    @Excel(name = "模板类型 2教职工 3学生")
    @ApiModelProperty(value = "模板类型 2教职工 3学生")
    private Long materialType;
    /** 创建人 */
    @Excel(name = "创建人")
    @ApiModelProperty(value = "创建人")
    private Long cretaId;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSubjectId(Long subjectId)
    {
        this.subjectId = subjectId;
    }

    public Long getSubjectId()
    {
        return subjectId;
    }
    public void setMaterialId(Long materialId)
    {
        this.materialId = materialId;
    }

    public Long getMaterialId()
    {
        return materialId;
    }
    public Long getMaterialType() {
        return materialType;
    }

    public void setMaterialType(Long materialType) {
        this.materialType = materialType;
    }
    public void setCretaId(Long cretaId)
    {
        this.cretaId = cretaId;
    }

    public Long getCretaId()
    {
        return cretaId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("subjectId", getSubjectId())
                .append("materialId", getMaterialId())
                .append("materialType", getMaterialType())
                .append("cretaId", getCretaId())
                .append("createTime", getCreateTime())
                .toString();
    }
}